package com.bytedance.services.slardar.config;

import X.AnonymousClass9MG;
import X.C398694f;
import com.bytedance.covode.number.Covode;
import com.bytedance.news.common.service.manager.IService;
import org.json.JSONObject;

public interface IConfigManager extends IService {
    static {
        Covode.recordClassIndex(38094);
    }

    void fetchConfig();

    int getConfigInt(String str, int i);

    JSONObject getConfigJSON(String str);

    boolean getLogTypeSwitch(String str);

    boolean getMetricTypeSwitch(String str);

    boolean getServiceSwitch(String str);

    boolean getSwitch(String str);

    boolean isConfigReady();

    String queryConfig();

    void registerConfigListener(AnonymousClass9MG r1);

    void registerResponseConfigListener(C398694f r1);

    void unregisterConfigListener(AnonymousClass9MG r1);

    void unregisterResponseConfigListener(C398694f r1);
}
